Manifest-Version: 1.0
Bnd-LastModified: 1710814742735
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Journal Web
Bundle-SymbolicName: com.liferay.journal.web
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 5.0.80.hotfix-5137-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: aQute.bnd.annotation.metatype;version="1.45",com.lifer
 ay.announcements.kernel.model;version="3.0",com.liferay.application.l
 ist;version="2.1",com.liferay.asset.auto.tagger.configuration;version
 ="1.1",com.liferay.asset.display.page.portlet;version="4.1",com.lifer
 ay.asset.display.page.service;version="2.7",com.liferay.asset.display
 .page.util;version="2.0",com.liferay.asset.info.display.url.provider;
 version="2.0",com.liferay.asset.info.item.provider;version="1.1",com.
 liferay.asset.kernel;version="2.0",com.liferay.asset.kernel.action;ve
 rsion="1.1",com.liferay.asset.kernel.exception;version="2.3",com.life
 ray.asset.kernel.model;version="8.0",com.liferay.asset.kernel.service
 ;version="7.1",com.liferay.asset.kernel.service.persistence;version="
 9.0",com.liferay.asset.util;version="2.1",com.liferay.change.tracking
 .spi.display;version="1.5",com.liferay.change.tracking.spi.display.co
 ntext;version="1.2",com.liferay.data.engine.content.type;version="1.5
 ",com.liferay.data.engine.field.type.util;version="1.2",com.liferay.d
 ata.engine.rest.dto.v2_0;version="4.1",com.liferay.data.engine.rest.r
 esource.exception;version="2.1",com.liferay.data.engine.rest.resource
 .v2_0;version="7.2",com.liferay.data.engine.taglib.servlet.taglib.def
 inition;version="1.5",com.liferay.depot.group.provider;version="1.0",
 com.liferay.depot.model;version="3.0",com.liferay.depot.service;versi
 on="1.9",com.liferay.depot.util;version="1.0",com.liferay.diff;versio
 n="1.0",com.liferay.diff.exception;version="1.0",com.liferay.document
 .library.kernel.document.conversion;version="1.0",com.liferay.documen
 t.library.kernel.exception;version="3.4",com.liferay.document.library
 .kernel.service;version="6.2",com.liferay.document.library.kernel.uti
 l;version="7.0",com.liferay.document.library.util;version="1.1",com.l
 iferay.dynamic.data.lists.model;version="3.0",com.liferay.dynamic.dat
 a.lists.service;version="2.5",com.liferay.dynamic.data.mapping.config
 uration;version="1.2",com.liferay.dynamic.data.mapping.exception;vers
 ion="2.7",com.liferay.dynamic.data.mapping.form.values.factory;versio
 n="1.0",com.liferay.dynamic.data.mapping.info.item.provider;version="
 1.1",com.liferay.dynamic.data.mapping.kernel;version="2.0",com.lifera
 y.dynamic.data.mapping.model;version="6.1",com.liferay.dynamic.data.m
 apping.security.permission;version="1.0",com.liferay.dynamic.data.map
 ping.service;version="3.12",com.liferay.dynamic.data.mapping.storage;
 version="1.9",com.liferay.dynamic.data.mapping.template;version="1.0"
 ,com.liferay.dynamic.data.mapping.util;version="4.0",com.liferay.dyna
 mic.data.mapping.util.comparator;version="2.2",com.liferay.dynamic.da
 ta.mapping.webdav;version="1.0",com.liferay.expando.info.item.provide
 r;version="1.0",com.liferay.expando.kernel.model;version="4.1",com.li
 feray.exportimport.changeset;version="1.2",com.liferay.exportimport.c
 hangeset.portlet.action;version="1.0",com.liferay.exportimport.kernel
 .exception;version="2.0",com.liferay.exportimport.kernel.lar;version=
 "4.2",com.liferay.fragment.model;version="3.1",com.liferay.frontend.t
 aglib.clay.servlet.taglib.display.context;version="1.8",com.liferay.f
 rontend.taglib.clay.servlet.taglib.soy;version="3.0",com.liferay.fron
 tend.taglib.clay.servlet.taglib.util;version="3.11",com.liferay.front
 end.taglib.form.navigator;version="1.0",com.liferay.frontend.taglib.f
 orm.navigator.constants;version="1.1",com.liferay.frontend.taglib.for
 m.navigator.context;version="1.0",com.liferay.info.collection.provide
 r;version="3.0",com.liferay.info.display.contributor;version="3.0",co
 m.liferay.info.display.request.attributes.contributor;version="1.0",c
 om.liferay.info.display.url.provider;version="1.0",com.liferay.info.e
 xception;version="2.1",com.liferay.info.field;version="3.3",com.lifer
 ay.info.field.type;version="3.0",com.liferay.info.filter;version="2.0
 ",com.liferay.info.form;version="2.1",com.liferay.info.item;version="
 4.0",com.liferay.info.item.capability;version="1.0",com.liferay.info.
 item.field.reader;version="2.0",com.liferay.info.item.provider;versio
 n="1.6",com.liferay.info.item.renderer;version="1.3",com.liferay.info
 .item.renderer.template;version="1.0",com.liferay.info.item.selector;
 version="1.2",com.liferay.info.item.translator;version="1.0",com.life
 ray.info.list.renderer;version="1.2",com.liferay.info.localized;versi
 on="2.0",com.liferay.info.pagination;version="1.1",com.liferay.info.s
 ort;version="1.0",com.liferay.info.taglib.list.renderer;version="1.0"
 ,com.liferay.info.taglib.servlet.taglib;version="1.2",com.liferay.inf
 o.type;version="1.3",com.liferay.item.selector;version="4.5",com.life
 ray.item.selector.criteria;version="2.3",com.liferay.item.selector.cr
 iteria.file.criterion;version="1.0",com.liferay.item.selector.criteri
 a.image.criterion;version="1.1",com.liferay.item.selector.criteria.in
 fo.item.criterion;version="1.3",com.liferay.journal.configuration;ver
 sion="7.0",com.liferay.journal.constants;version="2.0",com.liferay.jo
 urnal.exception;version="2.4",com.liferay.journal.item.selector.crite
 rion;version="1.3",com.liferay.journal.model;version="9.1",com.lifera
 y.journal.service;version="6.0",com.liferay.journal.util;version="4.0
 ",com.liferay.journal.util.comparator;version="1.3",com.liferay.layou
 t.display.page;version="2.2",com.liferay.layout.model;version="2.0",c
 om.liferay.layout.page.template.info.item.capability;version="1.1",co
 m.liferay.layout.page.template.service;version="5.0",com.liferay.layo
 ut.seo.template,com.liferay.layout.service;version="1.4",com.liferay.
 layout.util;version="4.0",com.liferay.message.boards.model;version="8
 .0",com.liferay.message.boards.service;version="6.0",com.liferay.petr
 a.function;version="1.5",com.liferay.petra.portlet.url.builder;versio
 n="5.0",com.liferay.petra.reflect;version="1.5",com.liferay.petra.sql
 .dsl;version="1.0",com.liferay.petra.sql.dsl.base;version="1.0",com.l
 iferay.petra.sql.dsl.query;version="2.0",com.liferay.petra.string;ver
 sion="1.6",com.liferay.portal.aop;version="1.0",com.liferay.portal.co
 nfiguration.metatype.annotations;version="1.4",com.liferay.portal.con
 figuration.metatype.bnd.util;version="2.0",com.liferay.portal.configu
 ration.persistence.upgrade;version="1.0",com.liferay.portal.instance.
 lifecycle;version="2.0",com.liferay.portal.kernel.annotation;version=
 "7.0",com.liferay.portal.kernel.application.type;version="1.0",com.li
 feray.portal.kernel.bean;version="10.0",com.liferay.portal.kernel.cac
 he.thread.local;version="2.0",com.liferay.portal.kernel.change.tracki
 ng;version="2.1",com.liferay.portal.kernel.cluster;version="8.0",com.
 liferay.portal.kernel.configuration;version="7.0",com.liferay.portal.
 kernel.dao.orm;version="11.0",com.liferay.portal.kernel.dao.search;ve
 rsion="9.0",com.liferay.portal.kernel.editor.configuration;version="1
 .1",com.liferay.portal.kernel.exception;version="12.0",com.liferay.po
 rtal.kernel.frontend.icons;version="3.0",com.liferay.portal.kernel.io
 .unsync;version="8.0",com.liferay.portal.kernel.json;version="10.1",c
 om.liferay.portal.kernel.jsonwebservice;version="9.0",com.liferay.por
 tal.kernel.language;version="10.0",com.liferay.portal.kernel.log;vers
 ion="7.1",com.liferay.portal.kernel.messaging;version="11.1",com.life
 ray.portal.kernel.messaging.async;version="6.2",com.liferay.portal.ke
 rnel.mobile.device;version="9.0",com.liferay.portal.kernel.model;vers
 ion="16.0",com.liferay.portal.kernel.model.change.tracking;version="2
 .0",com.liferay.portal.kernel.model.impl;version="6.0",com.liferay.po
 rtal.kernel.model.portlet;version="2.0",com.liferay.portal.kernel.mod
 el.wrapper;version="2.0",com.liferay.portal.kernel.module.configurati
 on;version="2.0",com.liferay.portal.kernel.module.framework;version="
 1.4",com.liferay.portal.kernel.notifications;version="9.0",com.lifera
 y.portal.kernel.plugin;version="7.0",com.liferay.portal.kernel.poller
 ;version="7.0",com.liferay.portal.kernel.pop;version="7.0",com.lifera
 y.portal.kernel.portlet;version="19.0",com.liferay.portal.kernel.port
 let.bridges.mvc;version="6.0",com.liferay.portal.kernel.portlet.confi
 guration.icon;version="2.0",com.liferay.portal.kernel.repository.mode
 l;version="11.0",com.liferay.portal.kernel.resource.bundle;version="1
 .0",com.liferay.portal.kernel.scheduler;version="10.1",com.liferay.po
 rtal.kernel.search;version="13.0",com.liferay.portal.kernel.security.
 access.control;version="2.0",com.liferay.portal.kernel.security.auth;
 version="5.0",com.liferay.portal.kernel.security.permission;version="
 6.1",com.liferay.portal.kernel.security.permission.propagator;version
 ="1.0",com.liferay.portal.kernel.security.permission.resource;version
 ="2.0",com.liferay.portal.kernel.service;version="13.1",com.liferay.p
 ortal.kernel.service.change.tracking;version="1.0",com.liferay.portal
 .kernel.service.configuration;version="1.1",com.liferay.portal.kernel
 .service.permission;version="5.0",com.liferay.portal.kernel.service.p
 ersistence;version="13.1",com.liferay.portal.kernel.service.persisten
 ce.change.tracking;version="1.4",com.liferay.portal.kernel.servlet;ve
 rsion="11.1",com.liferay.portal.kernel.servlet.taglib.ui;version="6.8
 ",com.liferay.portal.kernel.settings;version="3.2",com.liferay.portal
 .kernel.social;version="2.0",com.liferay.portal.kernel.spring.aop;ver
 sion="7.0",com.liferay.portal.kernel.systemevent;version="6.2",com.li
 feray.portal.kernel.template;version="12.0",com.liferay.portal.kernel
 .theme;version="9.0",com.liferay.portal.kernel.transaction;version="8
 .1",com.liferay.portal.kernel.trash;version="12.0",com.liferay.portal
 .kernel.upgrade;version="16.2",com.liferay.portal.kernel.upload;versi
 on="9.0",com.liferay.portal.kernel.util;version="38.0",com.liferay.po
 rtal.kernel.webdav;version="10.0",com.liferay.portal.kernel.workflow;
 version="15.0",com.liferay.portal.kernel.xml;version="7.0",com.lifera
 y.portal.kernel.xmlrpc;version="6.2",com.liferay.portal.model.impl,co
 m.liferay.portal.template;version="4.0",com.liferay.portal.upgrade.re
 gistry;version="3.1",com.liferay.portal.upload;version="4.0",com.life
 ray.portal.util;version="32.0",com.liferay.portlet;version="7.0",com.
 liferay.portlet.asset.util.comparator,com.liferay.rss.export;version=
 "1.0",com.liferay.rss.model;version="1.0",com.liferay.rss.util;versio
 n="1.0",com.liferay.social.kernel.model;version="5.0",com.liferay.soc
 ial.kernel.service;version="3.0",com.liferay.staging;version="1.1",co
 m.liferay.subscription.service;version="1.6",com.liferay.taglib.searc
 h;version="2.0",com.liferay.taglib.security;version="8.1",com.liferay
 .taglib.util;version="13.0",com.liferay.template.info.item.capability
 ;version="1.0",com.liferay.template.info.item.provider;version="1.0",
 com.liferay.translation.exporter;version="3.1",com.liferay.translatio
 n.info.item.provider;version="1.0",com.liferay.translation.model;vers
 ion="2.0",com.liferay.translation.security.permission;version="1.0",c
 om.liferay.translation.service;version="1.5",com.liferay.translation.
 url.provider;version="1.5",com.liferay.trash;version="2.1",com.lifera
 y.trash.kernel.model;version="4.0",com.liferay.trash.model;version="4
 .0",com.liferay.trash.service;version="2.5",com.liferay.upload;versio
 n="1.2",javax.portlet,javax.portlet.annotations,javax.servlet,javax.s
 ervlet.http,org.osgi.framework;version="1.8"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-JS-Config: /META-INF/resources/js/config.js
Liferay-Releng-App-Title: Liferay Journal
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Productivity
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: web-experience
Liferay-Releng-Suite-Description: Apps and Features: Widget Templates,
  Asset Publisher, Breadcrumb, Categories, Google Analytics, IFrame, L
 anguage, Navigation, Recycle Bin, Related Content, RSS, Search, Site 
 and Page Templates, Sitemap, Sites Directory, Tags, Web Content, XSL 
 Content<br /><br />The Web Experience suite provides features that he
 lp create, manage, and track content. The Web Content app lets you ex
 press your ideas and plans by creating dynamic content that can be st
 ructured to fit a specific design. You can also use templates to desi
 gn web content for an appealing look and feel. Templates can be used 
 in other realms of Liferay besides web content too. Site and Page Tem
 plates let you reproduce sites and pages that have been organized to 
 address specific needs. Application Display Templates are another typ
 e of Liferay template that lets you develop the look and feel of appl
 ications. The IFrame and XSL Content apps let you create other forms 
 of content by embedding HTML and XSL content on a site page.<br /><br
  />As administrators create content, organization is critical to keep
 ing things tidy in your site. The suite's Tags and Categories apps le
 ts you organize your web content to follow an organizational hierarch
 y. These organizational apps also aid with Liferay's Search app, whic
 h you can utilize to dynamically search content you've created. The s
 uite's Navigation, Breadcrumb, Sitemap, and Sites Directory apps aid 
 in Liferay's organizational structure, providing a top level view of 
 sites and their pages that have been created. To promote content in a
 n organized way, the Asset Publisher and Related Assets apps broadcas
 t assets and their related information. Inevitably, some content you 
 create becomes stale and requires removal; the Recycle Bin app lets y
 ou delete content, with the option to restore that content.<br /><br 
 />As a site accumulates content, administrators should have a way to 
 easily track their content. The Google Analytics app allows the use o
 f Google's tool set for analyzing site traffic data. The suite's RSS 
 app provides a web feed used to publish updated works such as blog en
 tries and news articles. The suite's Language app provides a way to c
 hange Liferay's language to cater to your site's international audien
 ce. This suite's content creation and organization focus lets site ad
 ministrators develop dynamic content, organize content for easy manag
 ing, and track content for ideas to better improve the content creati
 on process in the future.<br /><br />This suite may contain modules t
 hat depend on Foundation suite modules. This suite is available in th
 e Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Web Experience
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.journal.web.internal.application.list,com
 .liferay.journal.web.internal.asset,com.liferay.journal.web.internal.
 asset.model,com.liferay.journal.web.internal.asset.util,com.liferay.j
 ournal.web.internal.change.tracking.spi.display,com.liferay.journal.w
 eb.internal.configuration,com.liferay.journal.web.internal.constants,
 com.liferay.journal.web.internal.custom.attributes,com.liferay.journa
 l.web.internal.dao.search,com.liferay.journal.web.internal.data.engin
 e.content.type,com.liferay.journal.web.internal.display.context,com.l
 iferay.journal.web.internal.display.context.helper,com.liferay.journa
 l.web.internal.editor.configuration,com.liferay.journal.web.internal.
 frontend.taglib.form.navigator,com.liferay.journal.web.internal.helpe
 r,com.liferay.journal.web.internal.info.collection.provider,com.lifer
 ay.journal.web.internal.info.display.contributor,com.liferay.journal.
 web.internal.info.display.contributor.portlet,com.liferay.journal.web
 .internal.info.display.url.provider,com.liferay.journal.web.internal.
 info.item,com.liferay.journal.web.internal.info.item.provider,com.lif
 eray.journal.web.internal.info.item.renderer,com.liferay.journal.web.
 internal.info.item.selector,com.liferay.journal.web.internal.info.ite
 m.translator,com.liferay.journal.web.internal.info.list.renderer,com.
 liferay.journal.web.internal.instance.lifecycle,com.liferay.journal.w
 eb.internal.item.selector,com.liferay.journal.web.internal.item.selec
 tor.helper,com.liferay.journal.web.internal.layout.display.page,com.l
 iferay.journal.web.internal.messaging,com.liferay.journal.web.interna
 l.notifications,com.liferay.journal.web.internal.portlet,com.liferay.
 journal.web.internal.portlet.action,com.liferay.journal.web.internal.
 portlet.configuration.icon,com.liferay.journal.web.internal.portlet.r
 oute,com.liferay.journal.web.internal.portlet.template,com.liferay.jo
 urnal.web.internal.search,com.liferay.journal.web.internal.security.p
 ermission.resource,com.liferay.journal.web.internal.servlet.taglib.cl
 ay,com.liferay.journal.web.internal.servlet.taglib.definition,com.lif
 eray.journal.web.internal.servlet.taglib.ui,com.liferay.journal.web.i
 nternal.servlet.taglib.util,com.liferay.journal.web.internal.social,c
 om.liferay.journal.web.internal.translation.exporter,com.liferay.jour
 nal.web.internal.upgrade,com.liferay.journal.web.internal.upload,com.
 liferay.journal.web.internal.util,com.liferay.journal.web.internal.we
 bdav,com.liferay.journal.web.portlet.template.dependencies,resource-a
 ctions
Provide-Capability: osgi.webresource;osgi.webresource=journal-web;vers
 ion:Version="5.0.80.hotfix-5137-7413",osgi.service;objectClass:List<S
 tring>="com.liferay.application.list.PanelApp";uses:="com.liferay.app
 lication.list",osgi.service;objectClass:List<String>="com.liferay.ass
 et.kernel.action.AssetEntryAction";uses:="com.liferay.asset.kernel.ac
 tion",osgi.service;objectClass:List<String>="com.liferay.asset.kernel
 .model.AssetRendererFactory";uses:="com.liferay.asset.kernel.model",o
 sgi.service;objectClass:List<String>="com.liferay.change.tracking.spi
 .display.CTDisplayRenderer";uses:="com.liferay.change.tracking.spi.di
 splay",osgi.service;objectClass:List<String>="com.liferay.data.engine
 .content.type.DataDefinitionContentType";uses:="com.liferay.data.engi
 ne.content.type",osgi.service;objectClass:List<String>="com.liferay.d
 ata.engine.taglib.servlet.taglib.definition.DataLayoutBuilderDefiniti
 on";uses:="com.liferay.data.engine.taglib.servlet.taglib.definition",
 osgi.service;objectClass:List<String>="com.liferay.expando.kernel.mod
 el.CustomAttributesDisplay";uses:="com.liferay.expando.kernel.model",
 osgi.service;objectClass:List<String>="com.liferay.frontend.taglib.fo
 rm.navigator.FormNavigatorEntry";uses:="com.liferay.frontend.taglib.f
 orm.navigator",osgi.service;objectClass:List<String>="com.liferay.fro
 ntend.taglib.form.navigator.context.FormNavigatorContextProvider";use
 s:="com.liferay.frontend.taglib.form.navigator.context",osgi.service;
 objectClass:List<String>="com.liferay.info.collection.provider.InfoCo
 llectionProvider";uses:="com.liferay.info.collection.provider",osgi.s
 ervice;objectClass:List<String>="com.liferay.info.display.url.provide
 r.InfoEditURLProvider";uses:="com.liferay.info.display.url.provider",
 osgi.service;objectClass:List<String>="com.liferay.info.item.provider
 .InfoItemCapabilitiesProvider";uses:="com.liferay.info.item.provider"
 ,osgi.service;objectClass:List<String>="com.liferay.info.item.provide
 r.InfoItemDetailsProvider";uses:="com.liferay.info.item.provider",osg
 i.service;objectClass:List<String>="com.liferay.info.item.provider.In
 foItemFieldValuesProvider";uses:="com.liferay.info.item.provider",osg
 i.service;objectClass:List<String>="com.liferay.info.item.provider.In
 foItemFormProvider";uses:="com.liferay.info.item.provider",osgi.servi
 ce;objectClass:List<String>="com.liferay.info.item.provider.InfoItemF
 ormVariationsProvider";uses:="com.liferay.info.item.provider",osgi.se
 rvice;objectClass:List<String>="com.liferay.info.item.provider.InfoIt
 emObjectProvider";uses:="com.liferay.info.item.provider",osgi.service
 ;objectClass:List<String>="com.liferay.info.item.provider.InfoItemObj
 ectVariationProvider";uses:="com.liferay.info.item.provider",osgi.ser
 vice;objectClass:List<String>="com.liferay.info.item.provider.InfoIte
 mPermissionProvider";uses:="com.liferay.info.item.provider",osgi.serv
 ice;objectClass:List<String>="com.liferay.info.item.renderer.InfoItem
 Renderer";uses:="com.liferay.info.item.renderer",osgi.service;objectC
 lass:List<String>="com.liferay.info.item.selector.InfoItemSelector";u
 ses:="com.liferay.info.item.selector",osgi.service;objectClass:List<S
 tring>="com.liferay.info.item.translator.InfoItemIdentifierTranslator
 ";uses:="com.liferay.info.item.translator",osgi.service;objectClass:L
 ist<String>="com.liferay.info.list.renderer.InfoListRenderer";uses:="
 com.liferay.info.list.renderer",osgi.service;objectClass:List<String>
 ="com.liferay.item.selector.ItemSelectorView";uses:="com.liferay.item
 .selector",osgi.service;objectClass:List<String>="com.liferay.journal
 .util.ExportArticleHelper";uses:="com.liferay.journal.util",osgi.serv
 ice;objectClass:List<String>="com.liferay.journal.web.internal.helper
 .JournalDDMTemplateHelper";uses:="com.liferay.journal.web.internal.he
 lper",osgi.service;objectClass:List<String>="com.liferay.journal.web.
 internal.helper.JournalRSSHelper";uses:="com.liferay.journal.web.inte
 rnal.helper",osgi.service;objectClass:List<String>="com.liferay.journ
 al.web.internal.messaging.CheckArticleMessageListener";uses:="com.lif
 eray.journal.web.internal.messaging",osgi.service;objectClass:List<St
 ring>="com.liferay.journal.web.internal.portlet.JournalPortlet,javax.
 portlet.Portlet";uses:="com.liferay.journal.web.internal.portlet,java
 x.portlet",osgi.service;objectClass:List<String>="com.liferay.journal
 .web.internal.upload.ImageJournalUploadFileEntryHandler";uses:="com.l
 iferay.journal.web.internal.upload",osgi.service;objectClass:List<Str
 ing>="com.liferay.journal.web.internal.upload.ImageJournalUploadRespo
 nseHandler";uses:="com.liferay.journal.web.internal.upload",osgi.serv
 ice;objectClass:List<String>="com.liferay.layout.display.page.LayoutD
 isplayPageProvider";uses:="com.liferay.layout.display.page",osgi.serv
 ice;objectClass:List<String>="com.liferay.layout.util.LayoutClassedMo
 delUsageActionMenuContributor";uses:="com.liferay.layout.util",osgi.s
 ervice;objectClass:List<String>="com.liferay.portal.aop.AopService,co
 m.liferay.portal.kernel.portlet.bridges.mvc.MVCActionCommand";uses:="
 com.liferay.portal.aop,com.liferay.portal.kernel.portlet.bridges.mvc"
 ,osgi.service;objectClass:List<String>="com.liferay.portal.instance.l
 ifecycle.PortalInstanceLifecycleListener,com.liferay.portal.kernel.mo
 del.ModelListener";uses:="com.liferay.portal.instance.lifecycle,com.l
 iferay.portal.kernel.model",osgi.service;objectClass:List<String>="co
 m.liferay.portal.kernel.editor.configuration.EditorConfigContributor"
 ;uses:="com.liferay.portal.kernel.editor.configuration",osgi.service;
 objectClass:List<String>="com.liferay.portal.kernel.editor.configurat
 ion.EditorOptionsContributor";uses:="com.liferay.portal.kernel.editor
 .configuration",osgi.service;objectClass:List<String>="com.liferay.po
 rtal.kernel.notifications.UserNotificationDefinition";uses:="com.life
 ray.portal.kernel.notifications",osgi.service;objectClass:List<String
 >="com.liferay.portal.kernel.notifications.UserNotificationHandler";u
 ses:="com.liferay.portal.kernel.notifications",osgi.service;objectCla
 ss:List<String>="com.liferay.portal.kernel.portlet.BrowsePortletProvi
 der";uses:="com.liferay.portal.kernel.portlet",osgi.service;objectCla
 ss:List<String>="com.liferay.portal.kernel.portlet.ConfigurationActio
 n";uses:="com.liferay.portal.kernel.portlet",osgi.service;objectClass
 :List<String>="com.liferay.portal.kernel.portlet.EditPortletProvider"
 ;uses:="com.liferay.portal.kernel.portlet",osgi.service;objectClass:L
 ist<String>="com.liferay.portal.kernel.portlet.FriendlyURLMapper";use
 s:="com.liferay.portal.kernel.portlet",osgi.service;objectClass:List<
 String>="com.liferay.portal.kernel.portlet.FriendlyURLResolver";uses:
 ="com.liferay.portal.kernel.portlet",osgi.service;objectClass:List<St
 ring>="com.liferay.portal.kernel.portlet.bridges.mvc.MVCActionCommand
 ";uses:="com.liferay.portal.kernel.portlet.bridges.mvc",osgi.service;
 objectClass:List<String>="com.liferay.portal.kernel.portlet.bridges.m
 vc.MVCRenderCommand";uses:="com.liferay.portal.kernel.portlet.bridges
 .mvc",osgi.service;objectClass:List<String>="com.liferay.portal.kerne
 l.portlet.bridges.mvc.MVCResourceCommand";uses:="com.liferay.portal.k
 ernel.portlet.bridges.mvc",osgi.service;objectClass:List<String>="com
 .liferay.portal.kernel.portlet.configuration.icon.PortletConfiguratio
 nIcon";uses:="com.liferay.portal.kernel.portlet.configuration.icon",o
 sgi.service;objectClass:List<String>="com.liferay.portal.kernel.socia
 l.SocialActivityManager";uses:="com.liferay.portal.kernel.social",osg
 i.service;objectClass:List<String>="com.liferay.portal.kernel.templat
 e.TemplateHandler";uses:="com.liferay.portal.kernel.template",osgi.se
 rvice;objectClass:List<String>="com.liferay.portal.kernel.webdav.WebD
 AVStorage";uses:="com.liferay.portal.kernel.webdav",osgi.service;obje
 ctClass:List<String>="com.liferay.portal.upgrade.registry.UpgradeStep
 Registrator";uses:="com.liferay.portal.upgrade.registry",osgi.service
 ;objectClass:List<String>="com.liferay.social.kernel.model.SocialActi
 vityInterpreter";uses:="com.liferay.social.kernel.model",osgi.service
 ;objectClass:List<String>="com.liferay.translation.info.item.provider
 .InfoItemLanguagesProvider";uses:="com.liferay.translation.info.item.
 provider",soy;type=journal-web;version:Version="5.0.80.hotfix-5137-74
 13"
Require-Capability: osgi.extender;filter:="(&(osgi.extender=jsp.taglib
 )(uri=http://java.sun.com/portlet_2_0))",osgi.extender;filter:="(&(os
 gi.extender=jsp.taglib)(uri=http://liferay.com/tld/asset))",osgi.exte
 nder;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld
 /aui))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http:
 //liferay.com/tld/clay))",osgi.extender;filter:="(&(osgi.extender=jsp
 .taglib)(uri=http://liferay.com/tld/data-engine))",osgi.extender;filt
 er:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/expando)
 )",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://lif
 eray.com/tld/friendly-url))",osgi.extender;filter:="(&(osgi.extender=
 jsp.taglib)(uri=http://liferay.com/tld/frontend))",osgi.extender;filt
 er:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/journal)
 )",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://lif
 eray.com/tld/layout))",osgi.extender;filter:="(&(osgi.extender=jsp.ta
 glib)(uri=http://liferay.com/tld/portlet))",osgi.extender;filter:="(&
 (osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/react))",osgi.e
 xtender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/
 tld/security))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(u
 ri=http://liferay.com/tld/site-navigation))",osgi.extender;filter:="(
 &(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/theme))",osgi.
 extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com
 /tld/trash))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri
 =http://liferay.com/tld/ui))",osgi.extender;filter:="(&(osgi.extender
 =jsp.taglib)(uri=http://liferay.com/tld/util))",osgi.service;filter:=
 "(objectClass=com.liferay.asset.auto.tagger.configuration.AssetAutoTa
 ggerConfigurationFactory)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.asset.display.page.portlet.AssetDisplayPageEnt
 ryFormProcessor)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.asset.display.page.portlet.AssetDisplayPageFriendlyURLP
 rovider)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.asset.display.page.service.AssetDisplayPageEntryLocalService)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.asse
 t.info.display.url.provider.AssetInfoEditURLProvider)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.asset.info.item.pr
 ovider.AssetEntryInfoItemFieldSetProvider)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.asset.kernel.service.AssetEnt
 ryLocalService)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.asset.kernel.service.AssetEntryService)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.asset.kernel.servic
 e.AssetTagLocalService)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.data.engine.rest.resource.v2_0.DataDefinitionRes
 ource$Factory)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.depot.group.provider.SiteConnectedGroupGroupProvider)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.depot.
 service.DepotEntryLocalService)";effective:=active;resolution:=option
 al,osgi.service;filter:="(objectClass=com.liferay.document.library.ke
 rnel.service.DLAppLocalService)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.document.library.kernel.service.DLAppSer
 vice)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.document.library.kernel.util.DLValidator)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.document.library.util.DLURL
 Helper)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.dynamic.data.lists.service.DDLRecordSetLocalService)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.dynamic.data.m
 apping.form.values.factory.DDMFormValuesFactory)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.dynamic.data.mapping.in
 fo.item.provider.DDMFormValuesInfoFieldValuesProvider)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.dynamic.data.mapp
 ing.info.item.provider.DDMStructureInfoItemFieldSetProvider)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.dynamic.dat
 a.mapping.info.item.provider.DDMTemplateInfoItemFieldSetProvider)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.dynami
 c.data.mapping.security.permission.DDMPermissionSupport)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.dynamic.data.ma
 pping.service.DDMStructureLocalService)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.dynamic.data.mapping.service.DDM
 StructureService)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.dynamic.data.mapping.service.DDMTemplateLocalService)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.dyn
 amic.data.mapping.service.DDMTemplateService)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.dynamic.data.mapping.util.
 DDMFormValuesToFieldsConverter)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.dynamic.data.mapping.util.DDMFormValuesT
 oMapConverter)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.dynamic.data.mapping.util.DDMTemplateHelper)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.dynamic.data.ma
 pping.util.FieldsToDDMFormValuesConverter)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.dynamic.data.mapping.webdav.D
 DMWebDAV)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.expando.info.item.provider.ExpandoInfoItemFieldSetProvider)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.expor
 timport.changeset.portlet.action.ExportImportChangesetMVCActionComman
 d)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 info.display.request.attributes.contributor.InfoDisplayRequestAttribu
 tesContributor)";effective:=active;resolution:=optional;cardinality:=
 multiple,osgi.service;filter:="(objectClass=com.liferay.info.item.Inf
 oItemServiceTracker)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.info.item.field.reader.InfoItemFieldReaderFieldSetP
 rovider)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.info.item.provider.InfoItemObjectProvider)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.info.item.renderer.Info
 ItemRendererTracker)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.item.selector.ItemSelector)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.item.selector.ItemSelector
 UploadResponseHandler)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.item.selector.ItemSelectorView)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.journal.service.Jour
 nalArticleLocalService)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.journal.service.JournalArticleResourceLocalServi
 ce)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .journal.service.JournalArticleService)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.journal.service.JournalContentSe
 archLocalService)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.journal.service.JournalFeedLocalService)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.journal.service.
 JournalFeedService)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.journal.service.JournalFolderLocalService)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.journal.serv
 ice.JournalFolderService)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.journal.util.ExportArticleHelper)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.journal.util.Jo
 urnalContent)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.journal.util.JournalConverter)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.journal.util.JournalHelper)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.journ
 al.web.internal.helper.JournalDDMTemplateHelper)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.journal.web.internal.he
 lper.JournalRSSHelper)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.journal.web.internal.upload.ImageJournalUploadFil
 eEntryHandler)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.journal.web.internal.upload.ImageJournalUploadResponseHan
 dler)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.layout.display.page.LayoutDisplayPageProviderTracker)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.layout.page.tem
 plate.info.item.capability.DisplayPageInfoItemCapability)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.layout.page.te
 mplate.service.LayoutPageTemplateEntryService)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.layout.seo.template.Layou
 tSEOTemplateProcessor)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.layout.service.LayoutClassedModelUsageLocalServic
 e)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 portal.configuration.persistence.upgrade.ConfigurationUpgradeStepFact
 ory)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.portal.kernel.json.JSONFactory)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.portal.kernel.language.Language)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.k
 ernel.model.Portlet)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.portal.kernel.model.Release)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.portal.kernel.module.fram
 ework.ModuleServiceLifecycle)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.portal.kernel.scheduler.SchedulerEngineHel
 per)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.portal.kernel.scheduler.TriggerFactory)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.portal.kernel.security.permiss
 ion.resource.ModelResourcePermission)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.portal.kernel.security.permission.
 resource.PortletResourcePermission)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.portal.kernel.service.ClassNameLocal
 Service)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.portal.kernel.service.CompanyLocalService)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.portal.kernel.service.G
 roupLocalService)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.portal.kernel.service.GroupService)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.service
 .ImageLocalService)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.portal.kernel.service.LayoutLocalService)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel
 .service.LayoutSetLocalService)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.portal.kernel.service.UserLocalService)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.por
 tal.kernel.util.FriendlyURLNormalizer)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.portal.kernel.util.Html)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.portal.kern
 el.util.HtmlParser)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.portal.kernel.util.Portal)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.rss.export.RSSExporter)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.rss.mod
 el.SyndModelFactory)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.social.kernel.service.SocialActivityLocalService)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.stag
 ing.StagingGroupHelper)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.template.info.item.capability.TemplateInfoItemCa
 pability)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.template.info.item.provider.TemplateInfoItemFieldSetProvider)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.tra
 nslation.exporter.TranslationInfoItemFieldValuesExporterTracker)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.transla
 tion.security.permission.TranslationPermission)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.translation.service.Tran
 slationEntryLocalService)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.translation.url.provider.TranslationURLProvide
 r)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 trash.TrashHelper)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.trash.service.TrashEntryService)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.upload.UniqueFileNamePr
 ovider)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.upload.UploadHandler)";effective:=active,osgi.service;filter:="(
 objectClass=javax.servlet.ServletContext)";effective:=active,osgi.ext
 ender;filter:="(&(osgi.extender=osgi.component)(version>=1.4.0)(!(ver
 sion>=2.0.0)))",osgi.contract;osgi.contract=JavaPortlet;filter:="(&(o
 sgi.contract=JavaPortlet)(version=3.0.0))",osgi.contract;osgi.contrac
 t=JavaServlet;filter:="(&(osgi.contract=JavaServlet)(version=3.1.0))"
 ,osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.journal.web.internal.applicati
 on.list.JournalPanelApp.xml,OSGI-INF/com.liferay.journal.web.internal
 .asset.model.JournalArticleAssetRendererFactory.xml,OSGI-INF/com.life
 ray.journal.web.internal.asset.model.JournalFolderAssetRendererFactor
 y.xml,OSGI-INF/com.liferay.journal.web.internal.asset.util.JournalArt
 icleLayoutClassedModelUsageActionMenuContributor.xml,OSGI-INF/com.lif
 eray.journal.web.internal.change.tracking.spi.display.JournalArticleC
 TDisplayRenderer.xml,OSGI-INF/com.liferay.journal.web.internal.change
 .tracking.spi.display.JournalArticleLocalizationCTDisplayRenderer.xml
 ,OSGI-INF/com.liferay.journal.web.internal.change.tracking.spi.displa
 y.JournalFolderCTDisplayRenderer.xml,OSGI-INF/com.liferay.journal.web
 .internal.custom.attributes.JournalArticleCustomAttributesDisplay.xml
 ,OSGI-INF/com.liferay.journal.web.internal.custom.attributes.JournalF
 olderCustomAttributesDisplay.xml,OSGI-INF/com.liferay.journal.web.int
 ernal.data.engine.content.type.JournalDataDefinitionContentType.xml,O
 SGI-INF/com.liferay.journal.web.internal.editor.configuration.Journal
 ArticleContentEditorConfigContributor.xml,OSGI-INF/com.liferay.journa
 l.web.internal.editor.configuration.JournalArticleContentEditorOption
 sContributor.xml,OSGI-INF/com.liferay.journal.web.internal.editor.con
 figuration.JournalArticleDescriptionEditorConfigContributor.xml,OSGI-
 INF/com.liferay.journal.web.internal.frontend.taglib.form.navigator.J
 ournalBasicInfoFormNavigatorEntry.xml,OSGI-INF/com.liferay.journal.we
 b.internal.frontend.taglib.form.navigator.JournalCategorizationFormNa
 vigatorEntry.xml,OSGI-INF/com.liferay.journal.web.internal.frontend.t
 aglib.form.navigator.JournalDDMStructureBasicInfoFormNavigatorEntry.x
 ml,OSGI-INF/com.liferay.journal.web.internal.frontend.taglib.form.nav
 igator.JournalDDMTemplateBasicInfoFormNavigatorEntry.xml,OSGI-INF/com
 .liferay.journal.web.internal.frontend.taglib.form.navigator.JournalD
 DMTemplateSmallImageFormNavigatorEntry.xml,OSGI-INF/com.liferay.journ
 al.web.internal.frontend.taglib.form.navigator.JournalDisplayPageForm
 NavigatorEntry.xml,OSGI-INF/com.liferay.journal.web.internal.frontend
 .taglib.form.navigator.JournalFriendlyURLFormNavigatorEntry.xml,OSGI-
 INF/com.liferay.journal.web.internal.frontend.taglib.form.navigator.J
 ournalPermissionsFormNavigatorEntry.xml,OSGI-INF/com.liferay.journal.
 web.internal.frontend.taglib.form.navigator.JournalRelatedAssetsFormN
 avigatorEntry.xml,OSGI-INF/com.liferay.journal.web.internal.frontend.
 taglib.form.navigator.JournalScheduleFormNavigatorEntry.xml,OSGI-INF/
 com.liferay.journal.web.internal.frontend.taglib.form.navigator.Journ
 alSearchFormNavigatorEntry.xml,OSGI-INF/com.liferay.journal.web.inter
 nal.frontend.taglib.form.navigator.JournalSmallImageFormNavigatorEntr
 y.xml,OSGI-INF/com.liferay.journal.web.internal.frontend.taglib.form.
 navigator.JournalTemplateFormNavigatorEntry.xml,OSGI-INF/com.liferay.
 journal.web.internal.helper.JournalDDMTemplateHelper.xml,OSGI-INF/com
 .liferay.journal.web.internal.helper.JournalRSSHelper.xml,OSGI-INF/co
 m.liferay.journal.web.internal.info.collection.provider.BasicWebConte
 ntSingleFormVariationInfoCollectionProvider.xml,OSGI-INF/com.liferay.
 journal.web.internal.info.display.contributor.portlet.JournalArticleA
 ssetDisplayPageFriendlyURLResolver.xml,OSGI-INF/com.liferay.journal.w
 eb.internal.info.display.url.provider.JournalAssetInfoEditURLProvider
 .xml,OSGI-INF/com.liferay.journal.web.internal.info.item.provider.Jou
 rnalArticleInfoItemCapabilitiesProvider.xml,OSGI-INF/com.liferay.jour
 nal.web.internal.info.item.provider.JournalArticleInfoItemDetailsProv
 ider.xml,OSGI-INF/com.liferay.journal.web.internal.info.item.provider
 .JournalArticleInfoItemFieldValuesProvider.xml,OSGI-INF/com.liferay.j
 ournal.web.internal.info.item.provider.JournalArticleInfoItemFormProv
 ider.xml,OSGI-INF/com.liferay.journal.web.internal.info.item.provider
 .JournalArticleInfoItemFormVariationsProvider.xml,OSGI-INF/com.lifera
 y.journal.web.internal.info.item.provider.JournalArticleInfoItemLangu
 agesProvider.xml,OSGI-INF/com.liferay.journal.web.internal.info.item.
 provider.JournalArticleInfoItemObjectProvider.xml,OSGI-INF/com.lifera
 y.journal.web.internal.info.item.provider.JournalArticleInfoItemObjec
 tVariationProvider.xml,OSGI-INF/com.liferay.journal.web.internal.info
 .item.provider.JournalArticleInfoItemPermissionProvider.xml,OSGI-INF/
 com.liferay.journal.web.internal.info.item.renderer.JournalArticleAbs
 tractInfoItemRenderer.xml,OSGI-INF/com.liferay.journal.web.internal.i
 nfo.item.renderer.JournalArticleDDMTemplateInfoItemTemplatedRenderer.
 xml,OSGI-INF/com.liferay.journal.web.internal.info.item.renderer.Jour
 nalArticleFullContentInfoItemRenderer.xml,OSGI-INF/com.liferay.journa
 l.web.internal.info.item.renderer.JournalArticleTitleInfoItemRenderer
 .xml,OSGI-INF/com.liferay.journal.web.internal.info.item.selector.Jou
 rnalArticleInfoItemSelector.xml,OSGI-INF/com.liferay.journal.web.inte
 rnal.info.item.translator.JournalArticleInfoItemIdentifierTranslator.
 xml,OSGI-INF/com.liferay.journal.web.internal.info.list.renderer.Bull
 etedJournalArticleBasicInfoListRenderer.xml,OSGI-INF/com.liferay.jour
 nal.web.internal.info.list.renderer.InlineJournalArticleBasicInfoList
 Renderer.xml,OSGI-INF/com.liferay.journal.web.internal.info.list.rend
 erer.JournalArticleBorderedBasicInfoListRenderer.xml,OSGI-INF/com.lif
 eray.journal.web.internal.info.list.renderer.NumberedJournalArticleBa
 sicInfoListRenderer.xml,OSGI-INF/com.liferay.journal.web.internal.inf
 o.list.renderer.UnstyledJournalArticleBasicInfoListRenderer.xml,OSGI-
 INF/com.liferay.journal.web.internal.instance.lifecycle.DDMStructureM
 odelListener.xml,OSGI-INF/com.liferay.journal.web.internal.item.selec
 tor.JournalArticleItemSelectorView.xml,OSGI-INF/com.liferay.journal.w
 eb.internal.layout.display.page.DefaultJournalArticleLayoutDisplayPag
 eProvider.xml,OSGI-INF/com.liferay.journal.web.internal.layout.displa
 y.page.JournalArticleLayoutDisplayPageProvider.xml,OSGI-INF/com.lifer
 ay.journal.web.internal.messaging.CheckArticleMessageListener.xml,OSG
 I-INF/com.liferay.journal.web.internal.notifications.JournalAddEntryU
 serNotificationDefinition.xml,OSGI-INF/com.liferay.journal.web.intern
 al.notifications.JournalMoveEntryFromFolderUserNotificationDefinition
 .xml,OSGI-INF/com.liferay.journal.web.internal.notifications.JournalM
 oveEntryFromTrashUserNotificationDefinition.xml,OSGI-INF/com.liferay.
 journal.web.internal.notifications.JournalMoveEntryToFolderUserNotifi
 cationDefinition.xml,OSGI-INF/com.liferay.journal.web.internal.notifi
 cations.JournalMoveEntryToTrashUserNotificationDefinition.xml,OSGI-IN
 F/com.liferay.journal.web.internal.notifications.JournalUpdateEntryUs
 erNotificationDefinition.xml,OSGI-INF/com.liferay.journal.web.interna
 l.notifications.JournalUserNotificationHandler.xml,OSGI-INF/com.lifer
 ay.journal.web.internal.portlet.JournalDDMTemplateSelectorBrowserPort
 letProvider.xml,OSGI-INF/com.liferay.journal.web.internal.portlet.Jou
 rnalEditPortletProvider.xml,OSGI-INF/com.liferay.journal.web.internal
 .portlet.JournalPortlet.xml,OSGI-INF/com.liferay.journal.web.internal
 .portlet.action.AddDDMTemplateMVCActionCommand.xml,OSGI-INF/com.lifer
 ay.journal.web.internal.portlet.action.AddDataDefinitionMVCActionComm
 and.xml,OSGI-INF/com.liferay.journal.web.internal.portlet.action.AddF
 eedMVCActionCommand.xml,OSGI-INF/com.liferay.journal.web.internal.por
 tlet.action.AddFolderMVCActionCommand.xml,OSGI-INF/com.liferay.journa
 l.web.internal.portlet.action.AddMenuFavItemMVCActionCommand.xml,OSGI
 -INF/com.liferay.journal.web.internal.portlet.action.CompareVersionsM
 VCRenderCommand.xml,OSGI-INF/com.liferay.journal.web.internal.portlet
 .action.CompareVersionsMVCResourceCommand.xml,OSGI-INF/com.liferay.jo
 urnal.web.internal.portlet.action.CopyArticleMVCActionCommand.xml,OSG
 I-INF/com.liferay.journal.web.internal.portlet.action.CopyDDMTemplate
 MVCActionCommand.xml,OSGI-INF/com.liferay.journal.web.internal.portle
 t.action.CopyDataDefinitionMVCActionCommand.xml,OSGI-INF/com.liferay.
 journal.web.internal.portlet.action.DeleteArticleTranslationsMVCActio
 nCommand.xml,OSGI-INF/com.liferay.journal.web.internal.portlet.action
 .DeleteArticlesAndFoldersMVCActionCommand.xml,OSGI-INF/com.liferay.jo
 urnal.web.internal.portlet.action.DeleteArticlesMVCActionCommand.xml,
 OSGI-INF/com.liferay.journal.web.internal.portlet.action.DeleteDDMTem
 plateMVCActionCommand.xml,OSGI-INF/com.liferay.journal.web.internal.p
 ortlet.action.DeleteDataDefinitionMVCActionCommand.xml,OSGI-INF/com.l
 iferay.journal.web.internal.portlet.action.DeleteFeedsMVCActionComman
 d.xml,OSGI-INF/com.liferay.journal.web.internal.portlet.action.Delete
 FolderMVCActionCommand.xml,OSGI-INF/com.liferay.journal.web.internal.
 portlet.action.DiscardArticleDraftMVCActionCommand.xml,OSGI-INF/com.l
 iferay.journal.web.internal.portlet.action.ExpireArticlesAndFoldersMV
 CActionCommand.xml,OSGI-INF/com.liferay.journal.web.internal.portlet.
 action.ExpireArticlesMVCActionCommand.xml,OSGI-INF/com.liferay.journa
 l.web.internal.portlet.action.ExportArticleMVCResourceCommand.xml,OSG
 I-INF/com.liferay.journal.web.internal.portlet.action.ExportDataDefin
 itionMVCResourceCommand.xml,OSGI-INF/com.liferay.journal.web.internal
 .portlet.action.GetDDMStructureMVCResourceCommand.xml,OSGI-INF/com.li
 feray.journal.web.internal.portlet.action.GetDDMTemplateMVCResourceCo
 mmand.xml,OSGI-INF/com.liferay.journal.web.internal.portlet.action.Im
 portAndOverrideDataDefinitionMVCActionCommand.xml,OSGI-INF/com.lifera
 y.journal.web.internal.portlet.action.ImportDataDefinitionMVCActionCo
 mmand.xml,OSGI-INF/com.liferay.journal.web.internal.portlet.action.In
 foPanelMVCResourceCommand.xml,OSGI-INF/com.liferay.journal.web.intern
 al.portlet.action.JournalConfigurationAction.xml,OSGI-INF/com.liferay
 .journal.web.internal.portlet.action.JournalPermissionAssetEntryActio
 n.xml,OSGI-INF/com.liferay.journal.web.internal.portlet.action.MoveAr
 ticlesAndFoldersMVCActionCommand.xml,OSGI-INF/com.liferay.journal.web
 .internal.portlet.action.MoveArticlesAndFoldersToTrashMVCActionComman
 d.xml,OSGI-INF/com.liferay.journal.web.internal.portlet.action.MoveFo
 lderToTrashMVCActionCommand.xml,OSGI-INF/com.liferay.journal.web.inte
 rnal.portlet.action.MoveToTrashMVCActionCommand.xml,OSGI-INF/com.life
 ray.journal.web.internal.portlet.action.PublishArticleMVCActionComman
 d.xml,OSGI-INF/com.liferay.journal.web.internal.portlet.action.Publis
 hFolderMVCActionCommand.xml,OSGI-INF/com.liferay.journal.web.internal
 .portlet.action.RSSMVCResourceCommand.xml,OSGI-INF/com.liferay.journa
 l.web.internal.portlet.action.RefreshDDMTemplateMVCActionCommand.xml,
 OSGI-INF/com.liferay.journal.web.internal.portlet.action.RemoveMenuFa
 vItemMVCActionCommand.xml,OSGI-INF/com.liferay.journal.web.internal.p
 ortlet.action.ResetValuesDDMStructureMVCActionCommand.xml,OSGI-INF/co
 m.liferay.journal.web.internal.portlet.action.RestoreTrashEntriesMVCA
 ctionCommand.xml,OSGI-INF/com.liferay.journal.web.internal.portlet.ac
 tion.SubscribeArticleMVCActionCommand.xml,OSGI-INF/com.liferay.journa
 l.web.internal.portlet.action.SubscribeDDMStructureMVCActionCommand.x
 ml,OSGI-INF/com.liferay.journal.web.internal.portlet.action.Subscribe
 FolderMVCActionCommand.xml,OSGI-INF/com.liferay.journal.web.internal.
 portlet.action.UnsubscribeArticleMVCActionCommand.xml,OSGI-INF/com.li
 feray.journal.web.internal.portlet.action.UnsubscribeDDMStructureMVCA
 ctionCommand.xml,OSGI-INF/com.liferay.journal.web.internal.portlet.ac
 tion.UnsubscribeFolderMVCActionCommand.xml,OSGI-INF/com.liferay.journ
 al.web.internal.portlet.action.UpdateArticleMVCActionCommand.xml,OSGI
 -INF/com.liferay.journal.web.internal.portlet.action.UpdateDDMTemplat
 eMVCActionCommand.xml,OSGI-INF/com.liferay.journal.web.internal.portl
 et.action.UpdateDataDefinitionMVCActionCommand.xml,OSGI-INF/com.lifer
 ay.journal.web.internal.portlet.action.UpdateDataEngineDefaultValuesM
 VCActionCommand.xml,OSGI-INF/com.liferay.journal.web.internal.portlet
 .action.UpdateFeedMVCActionCommand.xml,OSGI-INF/com.liferay.journal.w
 eb.internal.portlet.action.UpdateFolderMVCActionCommand.xml,OSGI-INF/
 com.liferay.journal.web.internal.portlet.action.UpdateWorkflowDefinit
 ionsMVCActionCommand.xml,OSGI-INF/com.liferay.journal.web.internal.po
 rtlet.action.UploadImageMVCActionCommand.xml,OSGI-INF/com.liferay.jou
 rnal.web.internal.portlet.configuration.icon.FeedsPermissionsPortletC
 onfigurationIcon.xml,OSGI-INF/com.liferay.journal.web.internal.portle
 t.configuration.icon.ImportDataDefinitionPortletConfigurationIcon.xml
 ,OSGI-INF/com.liferay.journal.web.internal.portlet.configuration.icon
 .ImportTranslationPortletConfigurationIcon.xml,OSGI-INF/com.liferay.j
 ournal.web.internal.portlet.configuration.icon.JournalDDMTemplateExpo
 rtScriptConfigurationIcon.xml,OSGI-INF/com.liferay.journal.web.intern
 al.portlet.configuration.icon.JournalDDMTemplateImportScriptConfigura
 tionIcon.xml,OSGI-INF/com.liferay.journal.web.internal.portlet.config
 uration.icon.ViewSourcePortletConfigurationIcon.xml,OSGI-INF/com.life
 ray.journal.web.internal.portlet.route.JournalFriendlyURLMapper.xml,O
 SGI-INF/com.liferay.journal.web.internal.portlet.template.JournalTemp
 lateHandler.xml,OSGI-INF/com.liferay.journal.web.internal.security.pe
 rmission.resource.DDMStructurePermission.xml,OSGI-INF/com.liferay.jou
 rnal.web.internal.security.permission.resource.DDMTemplatePermission.
 xml,OSGI-INF/com.liferay.journal.web.internal.security.permission.res
 ource.JournalArticlePermission.xml,OSGI-INF/com.liferay.journal.web.i
 nternal.security.permission.resource.JournalFeedPermission.xml,OSGI-I
 NF/com.liferay.journal.web.internal.security.permission.resource.Jour
 nalFolderPermission.xml,OSGI-INF/com.liferay.journal.web.internal.sec
 urity.permission.resource.JournalPermission.xml,OSGI-INF/com.liferay.
 journal.web.internal.servlet.taglib.definition.JournalDataLayoutBuild
 erDefinition.xml,OSGI-INF/com.liferay.journal.web.internal.servlet.ta
 glib.ui.JournalFormNavigatorContextProvider.xml,OSGI-INF/com.liferay.
 journal.web.internal.social.JournalArticleActivityInterpreter.xml,OSG
 I-INF/com.liferay.journal.web.internal.social.JournalArticleSocialAct
 ivityManager.xml,OSGI-INF/com.liferay.journal.web.internal.social.Jou
 rnalFolderActivityInterpreter.xml,OSGI-INF/com.liferay.journal.web.in
 ternal.translation.exporter.TranslationInfoItemFieldValuesExporterTra
 ckerUtil.xml,OSGI-INF/com.liferay.journal.web.internal.upgrade.Journa
 lWebUpgrade.xml,OSGI-INF/com.liferay.journal.web.internal.upload.Imag
 eJournalUploadFileEntryHandler.xml,OSGI-INF/com.liferay.journal.web.i
 nternal.upload.ImageJournalUploadResponseHandler.xml,OSGI-INF/com.lif
 eray.journal.web.internal.util.ExportArticleHelperImpl.xml,OSGI-INF/c
 om.liferay.journal.web.internal.util.JournalHelperUtil.xml,OSGI-INF/c
 om.liferay.journal.web.internal.webdav.JournalWebDAVStorageImpl.xml
Tool: Bnd-4.3.0.201909301554
Web-ContextPath: /journal-web

